#include <sys/types.h>
#include <sys/stat.h>
#include <dirent.h> 
#include <stdio.h> 

int main(void)
{
  DIR           *d;
  struct dirent *dir;
  struct stat   statbuf;
  char temp_str[512],filefound;
  
  filefound = 0;
  d = opendir("/run/lighttpd/upload/");
  if (d)
  {
	printf("<table border=\"1\">\n");
	
    while ((dir = readdir(d)) != NULL)
    {
		sprintf(temp_str,"/run/lighttpd/upload/%s",dir->d_name);
		if (stat(temp_str, &statbuf) == 0)
		{
			if(! (statbuf.st_mode & S_IFDIR) )
			{
				filefound = 1;
				printf("\t<tr>\n");
				printf("\t\t<td>%s</td>\n",dir->d_name);
				printf("\t\t<td><a href=\"loada?%s\">Load in Drive A</a></td>\n",dir->d_name);
				printf("\t\t<td><a href=\"loadb?%s\">Load in Drive B</a></td>\n",dir->d_name);
				printf("\t\t<td><a href=\"cgidel?%s\">Delete</a></td>\n",dir->d_name);
				printf("\t</tr>\n");
			}
		}
    }
	printf("</table>\n");
	
	if(!filefound)
	{
		printf("<br><b>No file loaded!</b><br>\n");
	}

    closedir(d);
  }

  return(0);
}
